Bug 458678 - Review Request: picviz - Parallel coordinates plotter
Review Request: picviz - Parallel coordinates plotter
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-08-11 10:58 EDT by Tomas Heinrich
Modified: 2016-09-20 00:49 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-14 08:48:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
sgrubb: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Tomas Heinrich 2008-08-11 10:58:00 EDT
Spec URL: http://ypsa.pfy.cz/picviz.spec
SRPM URL: http://ypsa.pfy.cz/picviz-0.2.3-1.fc7.src.rpm
Description:
Picviz is a parallel coordinates plotter which enables easy scripting from various input (tcpdump, syslog, iptables logs, apache logs, etc..) to visualize your data and discover interesting results quickly.
Comment 1 Steve Grubb 2008-08-12 08:52:51 EDT
I'll look at this package. I'll post results shortly.
Comment 2 Steve Grubb 2008-08-12 10:41:42 EDT
This package does not build on 64 bit machine:

    Installed (but unpackaged) file(s) found:
   /usr/lib/libpicviz.so
   /usr/lib/libpicviz.so.1
   /usr/lib/picviz/libpicvizoutdebug.so
   /usr/lib/picviz/libpicvizoutplplot.so
   /usr/lib/picviz/libpicvizoutsvg.so
   /usr/lib/pkgconfig/picviz.pc
   /usr/lib/python2.5/site-packages/PicvizGui/UiPicviz.py
   /usr/lib/python2.5/site-packages/PicvizGui/UiPicviz.pyc
   /usr/lib/python2.5/site-packages/PicvizGui/UiPicviz.pyo
   /usr/lib/python2.5/site-packages/PicvizGui/__init__.py
   /usr/lib/python2.5/site-packages/PicvizGui/__init__.pyc
   /usr/lib/python2.5/site-packages/PicvizGui/__init__.pyo
   /usr/lib/python2.5/site-packages/PicvizGui/axisgui.py
   /usr/lib/python2.5/site-packages/PicvizGui/axisgui.pyc
   /usr/lib/python2.5/site-packages/PicvizGui/axisgui.pyo
   /usr/lib/python2.5/site-packages/PicvizGui/defaults.py
   /usr/lib/python2.5/site-packages/PicvizGui/defaults.pyc
   /usr/lib/python2.5/site-packages/PicvizGui/defaults.pyo
   /usr/lib/python2.5/site-packages/PicvizGui/lines.py
   /usr/lib/python2.5/site-packages/PicvizGui/lines.pyc
   /usr/lib/python2.5/site-packages/PicvizGui/lines.pyo
   /usr/lib/python2.5/site-packages/PicvizGui/selection.py
   /usr/lib/python2.5/site-packages/PicvizGui/selection.pyc
   /usr/lib/python2.5/site-packages/PicvizGui/selection.pyo
   /usr/lib/python2.5/site-packages/PicvizGui/siteconfig.py
   /usr/lib/python2.5/site-packages/PicvizGui/siteconfig.pyc
   /usr/lib/python2.5/site-packages/PicvizGui/siteconfig.pyo
   /usr/lib/python2.5/site-packages/picviz_gui-0.1-py2.5.egg-info
   /usr/lib64/python2.5/site-packages/Picviz-0.1-py2.5.egg-info
Comment 3 Tomas Heinrich 2008-08-12 12:37:33 EDT
Updated package:
http://ypsa.pfy.cz/picviz.spec
http://ypsa.pfy.cz/picviz-0.2.3-2.fc7.src.rpm
Comment 4 Steve Grubb 2008-08-12 15:02:04 EDT
The new package still has the same problem. 

The problem is that /lib is hardcoded in the makefiles. See
src/libpicviz/picviz.pc.cmake and look for Libs: -L@CMAKE_INSTALL_PREFIX@/lib
-lpicviz. That needs to be changed to a prefix passed in from the spec file. I
can confirm changing that to lib64 makes all the /usr/lib/*.so issues go away
leaving just python going to the wrong place. It just needs to be done
automatically instead of hardcoding it.

WRT python, I'd say that there needs to be a passing of %{python_sitearch} into
the setup.py files so that it understands what rpm wants it to do. 

picviz-0.2.3/src/libpicviz/bindings/python/setup.py --help install

has some hints. Maybe, something like:

python ./setup.py install --root=%{buildroot}
--install-lib=%{buildroot}%{python_sitearch}

or maybe --install-platlib=%{buildroot}%{python_sitearch}

but then some specfile locations need adjusting. You do not need to make a -3
srpm since when its imported it will be a -1 file. Just let me know when you
have a new file posted to try out.

Also, you need to try this on F9 or rawhide because python there makes egginfo
files and you are not packaging them or deleting them as the case may warrant.

-Steve
Comment 5 Tomas Heinrich 2008-08-13 08:54:11 EDT
patched src/libpicviz/picviz.pc.cmake to use -L@LIB_INSTALL_DIR@
added --install-lib=%{python_sitearch} to setup.py
included *.egg-info files

http://ypsa.pfy.cz/picviz.spec
http://ypsa.pfy.cz/picviz-0.2.3-1.fc9.src.rpm
Comment 6 Steve Grubb 2008-08-13 09:47:58 EDT
Passes rpmlint:

[sgrubb@centaur BUILD]$ rpmlint /home/sgrubb/working/SRPMS/picviz-0.2.3-1.fc9.src.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[sgrubb@centaur BUILD]$ rpmlint /home/sgrubb/working/RPMS/x86_64/picviz-0.2.3-1.fc9.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[sgrubb@centaur BUILD]$ rpmlint /home/sgrubb/working/RPMS/x86_64/picviz-devel-0.2.3-1.fc9.x86_64.rpm
picviz-devel.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[sgrubb@centaur BUILD]$ rpmlint /home/sgrubb/working/RPMS/x86_64/picviz-gui-0.2.3-1.fc9.x86_64.rpm
picviz-gui.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
[sgrubb@centaur BUILD]$ rpmlint /home/sgrubb/working/RPMS/x86_64/picviz-plugin-plplot-0.2.3-1.fc9.x86_64.rpm
picviz-plugin-plplot.x86_64: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
Comment 7 Steve Grubb 2008-08-13 10:32:17 EDT
Review of the packaging looks good. Marking Approved.
Comment 8 Tomas Heinrich 2008-08-13 10:53:41 EDT
New Package CVS Request
=======================
Package Name: picviz
Short Description: Parallel coordinates plotter
Owners: theinric
Branches:
InitialCC: pvrabec
Cvsextras Commits: yes
Comment 9 Kevin Fenzi 2008-08-13 13:25:44 EDT
cvs done.

Note You need to log in before you can comment on or make changes to this bug.